Get a Source Code Link for a Stack Trace Frame
GET /api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/stacktrace-link/
Resolve a stack trace filename to its linked source file using the project's code mappings and connected source code integrations.
Path Parameters
organization_id_or_slug(string)REQUIREDThe ID or slug of the organization the resource belongs to.
project_id_or_slug(string)REQUIREDThe ID or slug of the project the resource belongs to. Project slugs are unique within each organization.
Query Parameters:
file(string)REQUIREDThe file path from the stack trace frame.
platform(string)The platform associated with the frame.
absPath(string)The absolute path of the stack frame, if known.
commitId(string)The commit ID associated with the event.
sdkName(string)The SDK name associated with the event.
module(string)The module name, if known.
package(string)The package name, if known.
lineNo(string)The source line number, if known.
groupId(string)The issue ID, if known.
Scopes
You need to authenticate via bearer auth token.
<auth_token> requires one of the following scopes:project:adminproject:readproject:write
Copied
curl https://sentry.io/api/0/projects/{organization_id_or_slug}/{project_id_or_slug}/stacktrace-link/ \ -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied.
Was this helpful?